[29/12/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • libgd2-xpm:i386
  • libicu48
  • libnss3-1d:i386
  • libnss3:i386
  • php5-xsl
  • php5-mysql
  • php5-intl
  • php5-gd
  • tzdata
  • php5-cli
  • php5-cgi
  • libapache2-mod-php5
  • php5-curl
  • php5-common
  • php5
  • unzip
Server

[28/11/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • libcurl3
  • libcurl3:i386
  • libcurl3-gnutls
  • mysql-common
  • libmysqlclient18
  • mysql-server
  • mysql-server-5.5
  • mysql-client-5.5
  • mysql-server-core-5.5
  • vim
  • vim-runtime
  • vim-common
  • lynx-cur
  • lynx
  • sudo
Server

root_bundle.crt

Ce soir, j’ai découvert l’utilité du fichier « 1_root_bundle.crt » fournir par StartSSL. Il est aussi à utiliser dans les virtual host via SSLCertificateChainFile.

Sans ce fichier, mes certificats n’étaient pas considéré comme valide par Android, par exemple. J’ai donc été contraint de passer en revue l’ensemble de mes vHost.

Server

[13/11/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • bash
  • tar
  • libx11-data
  • libx11-6:i386
  • libx11-6
  • libgd2-xpm:i386
  • libnspr4-0d:i386
  • libnspr4:i386
  • libnss3-1d:i386
  • libnss3:i386
  • libtiff4:i386
  • libx11-xcb1:i386
  • libxi6:i386
  • libxml2
  • libxml2:i386
  • libxrender1:i386
  • libxrandr2:i386
  • libxslt1.1
  • libxslt1.1:i386
  • libxtst6:i386
  • libxv1:i386
  • php5-xsl
  • php5-mysql
  • php5-intl
  • php5-gd
  • tzdata
  • php5-cli
  • php5-cgi
  • libapache2-mod-php5
  • php5-curl
  • php5-common
  • bind9
  • bind9-host
  • libisc84
  • libdns88
  • libisccc80
  • libisccfg82
  • liblwres80
  • bind9utils
  • libbind9-80
  • php5
Server

Renouvellement des certificats

[16/10/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • libmpg123-0:i386
  • libxfixes3:i386
  • php5-xsl
  • php5-mysql
  • php5-intl
  • php5-gd
  • php5-cli
  • php5-cgi
  • libapache2-mod-php5
  • php5-curl
  • php5-common
  • libdbd-mysql-perl
  • php5
Server

[10/10/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • libssl1.0.0
  • libssl1.0.0:i386
  • libcurl3
  • libcurl3:i386
  • libcurl3-gnutls
  • libicu48
  • mysql-common
  • libmysqlclient18
  • libtiff4:i386
  • mysql-server
  • mysql-server-5.5
  • mysql-client-5.5
  • mysql-server-core-5.5
  • php5-xsl
  • php5-mysql
  • php5-intl
  • php5-gd
  • php5-cli
  • php5-cgi
  • libapache2-mod-php5
  • php5-curl
  • php5-common
  • bind9-host
  • bind9
  • libisc84
  • libdns88
  • libisccc80
  • libisccfg82
  • liblwres80
  • bind9utils
  • libbind9-80
  • openssl
  • php5
Server

[26/07/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • libexpat1
  • libexpat1:i386
  • libgd2-xpm:i386
  • libicu48
  • libnspr4-0d:i386
  • libnspr4:i386
  • libnss3-1d:i386
  • libsqlite3-0:i386
  • libsqlite3-0
  • libnss3:i386
  • samba
  • libwbclient0
  • samba-common
  • libxslt1.1
  • libxslt1.1:i386
  • php5-xsl
  • php5-mysql
  • php5-intl
  • php5-gd
  • php5-cli
  • php5-cgi
  • apache2
  • apache2-mpm-prefork
  • apache2.2-common
  • apache2.2-bin
  • apache2-utils
  • libapache2-mod-php5
  • php5-curl
  • php5-common
  • wget
  • apache2-doc
  • binutils
  • expat
  • php5
  • python2.7
  • python2.7-minimal
Server

[07/06/2016] Mise à jour serveur

Mise à jour des serveurs effectuée avec succès.

Liste des paquets impactés :

  • base-files
  • dpkg
  • libc-bin
  • libc6
  • libc6:i386
  • libtasn1-3
  • libtasn1-3:i386
  • ldap-utils
  • libldap-2.4-2
  • libldap-2.4-2:i386
  • libnss3-1d:i386
  • libnss3:i386
  • libxml2
  • libxml2:i386
  • php5-xsl
  • php5-mysql
  • php5-intl
  • php5-gd
  • tzdata
  • php5-cli
  • php5-cgi
  • libapache2-mod-php5
  • php5-curl
  • php5-common
  • multiarch-support
  • locales-all
  • locales
  • dselect
  • libxapian22
  • php5
Server

PHP 5.6

Par défaut, la version de PHP sur Debian est le 5.4. Cette version commence à être trop ancienne, cela me handicape. Il existe la version 7 mais je vais patienter un peu. Je vais donc tenter de passer en version 5.6.

Pour cela, il faut modifier le fichier « /etc/apt/sources.list » afin d’y ajouter :

deb http://packages.dotdeb.org wheezy-php56 all
deb-src http://packages.dotdeb.org wheezy-php56 all

Enfin, exécuter la commande suivante :

wget http://www.dotdeb.org/dotdeb.gpg -O- | apt-key add – 

N’étant pas pressé, j’effectuerai la mise à jour demain. Normalement, dans mon mail auto, me sera proposé une mise à jour de PHP.

Server